GET/history

Get Generation History

Retrieve a paginated list of previous try-on generations for auditing and usage analytics.

Authentication: None

Request Parameters

FieldTypeRequiredDefaultDescription
userIdstringYesUser ID of the developer account.
limitintegerNo20Limit results (range 1 to 100).
startTimestampintegerNoFilter generations started on/after this UNIX timestamp.
endTimestampintegerNoFilter generations ended on/before this UNIX timestamp.
apiKeyLabelstringNoFilter by the specific API key label used.
productIdstringNoFilter by catalog product SKU.
externalUserIdstringNoFilter by client consumer ID.
curl "https://apisdk.snapmydesign.com/api/v1/history?userId=user_abc123&limit=5"
Example Response200 OK
{
  "success": true,
  "statusCode": 200,
  "message": "success",
  "data": [
    {
      "generationId": "50c76d05-4f40-424a-9ef8-11db9390234a",
      "userId": "user_abc123",
      "creditCost": 0.5,
      "numberOfImages": 1,
      "outputImageUrls": [
        "https://firebasestorage.googleapis.com/.../vton_generated_image..."
      ],
      "inputClothesImageUrls": [
        "https://firebasestorage.googleapis.com/.../vton_uploaded_image..."
      ],
      "inputPersonImageUrls": [],
      "prompt": "Replace the clothing in the first image with the garment from the 1th image.",
      "version": 1.0,
      "modelName": "medium",
      "apiKeyLabel": "production_server_key",
      "startTimestamp": 1780000000,
      "endTimestamp": 1780000005,
      "productId": "sku_9921_blue",
      "externalUserId": "consumer_myntra_77612",
      "metadata": {
        "campaign": "summer_sale_2026"
      }
    }
  ],
  "nextCursor": "gen_87a9bf...",
  "limit": 20,
  "totalCount": 1
}